Last Comment Bug 692605 - Perma-orange Aurora (and Beta) Linux opt (non-PGO) browser_webconsole_bug_595934_message_categories.js | Test timed out and test_errorPropagation.html | Test timed out followed by shutdown timeout
: Perma-orange Aurora (and Beta) Linux opt (non-PGO) browser_webconsole_bug_595...
Status: RESOLVED FIXED
[qa-] [inbound][see comment #111]
: intermittent-failure
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Linux
-- blocker (vote)
: mozilla10
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on: 675221
Blocks: 438871 658313
  Show dependency treegraph
 
Reported: 2011-10-06 14:39 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed
fixed


Attachments
Patch to disable console listener tests (3.78 KB, patch)
2011-10-13 17:13 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
bent.mozilla: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description User image Matt Brubeck (:mbrubeck) 2011-10-06 14:39:46 PDT
Ever since PGO was turned off for opt builds (bug 658313), these failures are occurring in every non-PGO Linux 32-bit opt build on Aurora (Firefox 9).

We're pretty sure that non-PGO is to blame.  The failures do not occur in PGO builds.  They do occur in non-PGO builds even on pushes that were green before the config change, and the failures kept occurring after backing out the changeset where they first occurred.

https://tbpl.mozilla.org/php/getParsedLog.php?id=6710381&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 13:40:03 PDT for push 4c15202ca083

5937 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.filename - http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js should equal http://mochi.test:8888/tests/dom/workers/test/errorPropagation_worker.js
5938 INFO TEST-PASS | /tests/dom/workers/test/test_errorPropagation.html | Correct message event.lineno - 48 should equal 48
5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
XScreenSaver state: Disabled
User input has been idle for 743 seconds
args: ['/home/cltbld/talos-slave/test/build/bin/screentopng']

...

16466 INFO SimpleTest FINISHED
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
INFO | automation.py | Application ran for: 0:14:38.951252
INFO | automation.py | Reading PID log: /tmp/tmp6qt-3tpidlog
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Crash dump filename: /tmp/tmpCIjJRu/minidumps/68928f9b-b21b-2ce0-74dd07a2-79f2fec2.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGABRT
Crash address: 0x847

Thread 0 (crashed)
 0  libpthread-2.11.so + 0x8edd
    eip = 0x00c6eedd   esp = 0xbf9a0074   ebp = 0xbf9a0078   ebx = 0x08051a80
    esi = 0xb7673040   edi = 0x93dd1000   eax = 0x00000003   ecx = 0x00000008
    edx = 0x00000000   efl = 0x00200246
    Found by: given as instruction pointer in context
 1  firefox-bin!malloc_mutex_unlock [jemalloc.c : 1476 + 0x5]
    eip = 0x0804b1ae   esp = 0xbf9a0080   ebp = 0xb7673040
    Found by: previous frame's frame pointer
 2  firefox-bin!arena_malloc [jemalloc.c : 3818 + 0xa]
    eip = 0x0804d78d   esp = 0xbf9a00a0   ebp = 0xb7673040   ebx = 0x08051a80
    Found by: call frame info
 3  firefox-bin!imalloc [jemalloc.c : 3892 + 0x10]
    eip = 0x0804da5c   esp = 0xbf9a00d0   ebp = 0xbf9a018c   ebx = 0x08051a80
    esi = 0x0000000a   edi = 0x00000000
    Found by: call frame info
 4  firefox-bin!malloc [jemalloc.c : 5986 + 0x6]
    eip = 0x0804da9a   esp = 0xbf9a00f0   ebp = 0xbf9a018c   ebx = 0x08051a80
    esi = 0x0000000a   edi = 0x00000000
    Found by: call frame info
 5  libmozalloc.so!moz_malloc [mozalloc.cpp : 113 + 0x8]
    eip = 0x00143b41   esp = 0xbf9a0100   ebp = 0xbf9a018c   ebx = 0x00144118
    esi = 0x00000002   edi = 0x00000000
    Found by: call frame info
 6  libxul.so!nsStringBuffer::Alloc [nsSubstring.cpp : 209 + 0x8]
    eip = 0x01c29a4d   esp = 0xbf9a0120   ebp = 0xbf9a018c   ebx = 0x02323174
    esi = 0x00000002   edi = 0x00000000
    Found by: call frame info
 7  libxul.so!nsAString_internal::MutatePrep [nsTSubstring.cpp : 162 + 0x8]
    eip = 0x01c29c1d   esp = 0xbf9a0140   ebp = 0xbf9a018c   ebx = 0x02323174
    esi = 0xa5e02e38   edi = 0x00000000
    Found by: call frame info
 8  libxul.so!nsAString_internal::ReplacePrepInternal [nsTSubstring.cpp : 198 + 0x13]
    eip = 0x01c29c48   esp = 0xbf9a0170   ebp = 0x00000000   ebx = 0x02323174
    esi = 0xa5e02e38   edi = 0x00000000
    Found by: call frame info
 9  libxul.so!nsAString_internal::ReplacePrep [nsTSubstring.h : 685 + 0x10]
    eip = 0x01c29d56   esp = 0xbf9a01a0   ebp = 0x00000000   ebx = 0x02323174
    esi = 0xa5e02e38   edi = 0x00000000
    Found by: call frame info

https://tbpl.mozilla.org/php/getParsedLog.php?id=6710557&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-06 13:40:06 PDT for push 4c15202ca083

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #4: message found 'multipart/form-data'
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #4: error category 'HTML'
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Console message: [JavaScript Warning: "Form contains enctype=multipart/form-data, but does not contain method=post.  Submitting normally with method=GET and no enctype instead." {file: "http://example.com/browser/browser/devtools/webconsole/test//browser/test-bug-595934-html.html" line: 0}]
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #5: message found 'no element found'
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #5: error category 'malformed-xml'
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Console message: [JavaScript Error: "no element found" {file: "http://example.com/browser/browser/devtools/webconsole/test//browser/test-bug-595934-malformedxml.xhtml" line: 11}]
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #6: message found 'fooBarSVG'
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #6: error category 'SVG'
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Console message: [JavaScript Warning: "Unexpected value fooBarSVG parsing height attribute." {file: "http://example.com/browser/browser/devtools/webconsole/test//browser/test-bug-595934-svg.xhtml" line: 0}]
TEST-INFO | unknown test url | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: fooBarWorker is not defined at http://example.com/browser/browser/devtools/webconsole/test//browser/test-bug-595934-workers.js:7
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
XScreenSaver state: Disabled
User input has been idle for 1338 seconds
args: ['/home/cltbld/talos-slave/test/build/bin/screentopng']

INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | finished in 30043ms
Comment 1 User image Boris Zbarsky [:bz] (still a bit busy) 2011-10-06 14:44:37 PDT
Note that we've also had other issues on Linux on the -O3 non-pgo builds... glandium might recall details.
Comment 2 User image Mike Hommey [:glandium] 2011-10-06 14:49:11 PDT
We've had float rounding issues, but nothing crashy that i remember.
Comment 3 User image Mike Hommey [:glandium] 2011-10-06 14:49:58 PDT
BTW, non-PGO should build -Os on aurora, by now.
Comment 4 User image Mike Hommey [:glandium] 2011-10-06 14:53:31 PDT
(In reply to Mike Hommey [:glandium] from comment #3)
> BTW, non-PGO should build -Os on aurora, by now.

Confirmed, that was bug 655003.
Comment 5 User image Treeherder Robot 2011-10-06 15:20:18 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6711639&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 14:48:27

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 6 User image Treeherder Robot 2011-10-06 16:28:28 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6712819&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 15:51:03

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 7 User image Treeherder Robot 2011-10-06 18:22:57 PDT
philipp%weitershausen.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=6714229&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-06 17:02:01

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 8 User image Treeherder Robot 2011-10-06 18:24:20 PDT
philipp%weitershausen.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=6714642&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 17:30:58

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 9 User image Treeherder Robot 2011-10-06 19:05:47 PDT
philipp%weitershausen.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=6713997&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-06 16:51:56

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 10 User image Treeherder Robot 2011-10-06 19:16:27 PDT
philipp%weitershausen.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=6713886&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-06 16:52:58

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 11 User image Treeherder Robot 2011-10-06 21:11:28 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6717435&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 20:11:45

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 12 User image Treeherder Robot 2011-10-06 21:31:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6718086&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-06 20:48:38

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 13 User image Treeherder Robot 2011-10-06 21:32:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6718057&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-06 20:39:56

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 14 User image Phil Ringnalda (:philor) 2011-10-06 21:38:32 PDT
Not quite literally permaorange on m-b: there have been three builds, two of which say in the scrape that they were clobbers, which hit this, and one which does not say it was, which did not hit this.
Comment 15 User image Treeherder Robot 2011-10-07 02:18:32 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6720737&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-06 23:42:42

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 16 User image Treeherder Robot 2011-10-07 02:19:23 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6720830&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-06 23:53:45

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 17 User image Treeherder Robot 2011-10-07 11:26:07 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6729860&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-07 10:53:44

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 18 User image Treeherder Robot 2011-10-07 13:56:25 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6732339&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-07 12:24:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_update.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_update.js | Found a  after previous test timed out
Comment 19 User image Treeherder Robot 2011-10-07 16:06:42 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6732753&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-07 13:46:06

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 20 User image Treeherder Robot 2011-10-07 16:17:02 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6732828&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-07 13:40:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 21 User image Treeherder Robot 2011-10-07 19:06:34 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6733601&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-07 14:34:39

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 22 User image Treeherder Robot 2011-10-07 19:07:01 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6733819&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-07 14:26:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 23 User image Treeherder Robot 2011-10-07 22:28:21 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6738479&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2011-10-07 19:19:41

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 24 User image Treeherder Robot 2011-10-07 22:28:58 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6738581&tree=Try
Rev3 Fedora 12 try opt test mochitest-other on 2011-10-07 19:19:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 25 User image Treeherder Robot 2011-10-08 01:23:38 PDT
mh+mozilla%glandium.org
https://tbpl.mozilla.org/php/getParsedLog.php?id=6741611&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-08 00:29:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 26 User image Treeherder Robot 2011-10-08 01:28:02 PDT
mh+mozilla%glandium.org
https://tbpl.mozilla.org/php/getParsedLog.php?id=6741760&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-08 00:51:15

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 27 User image Treeherder Robot 2011-10-08 08:01:00 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6742080&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-08 01:05:10

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 28 User image Treeherder Robot 2011-10-08 08:06:46 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6745257&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-08 05:45:31

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 29 User image Treeherder Robot 2011-10-08 08:06:58 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6745359&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-08 05:45:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 30 User image Treeherder Robot 2011-10-08 09:07:19 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6747508&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-08 08:32:59

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser/browser_607016.js | sanity check that tab doesn't have extData
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 31 User image Treeherder Robot 2011-10-08 09:07:27 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6747423&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-08 08:33:00

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 32 User image Treeherder Robot 2011-10-08 09:48:43 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6747942&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-08 09:15:18

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 33 User image Treeherder Robot 2011-10-08 09:49:00 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6747881&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-08 09:16:33

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 34 User image Treeherder Robot 2011-10-10 06:50:34 PDT
bas.schouten%live.nl
https://tbpl.mozilla.org/php/getParsedLog.php?id=6764710&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 06:07:50

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 35 User image Treeherder Robot 2011-10-10 06:51:32 PDT
bas.schouten%live.nl
https://tbpl.mozilla.org/php/getParsedLog.php?id=6764880&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 06:07:49

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 36 User image Treeherder Robot 2011-10-10 10:20:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6766972&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-10 08:46:21

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 37 User image Treeherder Robot 2011-10-10 10:22:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6767115&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-10 08:46:21

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 38 User image Treeherder Robot 2011-10-10 11:27:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768776&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 10:31:59

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 39 User image Treeherder Robot 2011-10-10 11:28:52 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768776&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 10:31:59

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 40 User image Treeherder Robot 2011-10-10 11:29:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768847&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 10:24:03

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 41 User image Treeherder Robot 2011-10-10 11:29:35 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768847&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 10:24:03

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 42 User image Treeherder Robot 2011-10-10 11:38:23 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768776&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 10:31:59

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 43 User image Treeherder Robot 2011-10-10 13:37:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6771195&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta pgo test mochitest-other on 2011-10-10 12:59:27

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | test #5: error category 'malformed-xml' - Got XPConnect JavaScript, expected malformed-xml
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | chrome://browser/content/tabbrowser.xml:430; [Exception... "Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsIHttpChannel.isNoStoreResponse]"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: chrome://browser/content/tabview.js :: ThumbnailStorage_onStateChange :: line 7673"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_confirm.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_confirm.js | Found a  after previous test timed out
Comment 44 User image Treeherder Robot 2011-10-10 13:37:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6770158&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-10 12:03:14

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 45 User image Treeherder Robot 2011-10-10 13:38:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6770331&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-10 12:00:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 46 User image Treeherder Robot 2011-10-10 13:48:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6771038&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 12:39:05

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 47 User image Treeherder Robot 2011-10-10 13:48:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6770809&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 12:22:08

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 48 User image Treeherder Robot 2011-10-10 13:51:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768776&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 10:31:59

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 49 User image Treeherder Robot 2011-10-10 13:52:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6768847&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 10:24:03

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 50 User image Treeherder Robot 2011-10-10 14:06:02 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6771456&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-10 13:19:42

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 51 User image Treeherder Robot 2011-10-10 14:06:48 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6771666&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-10 13:09:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 52 User image Treeherder Robot 2011-10-10 17:33:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6775405&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 16:40:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 53 User image Treeherder Robot 2011-10-10 17:54:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6775771&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 17:24:40

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 54 User image Treeherder Robot 2011-10-10 18:18:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6775987&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-10 17:25:02

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 55 User image Treeherder Robot 2011-10-10 19:29:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6776360&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-10 17:59:30

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 56 User image Treeherder Robot 2011-10-10 19:31:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6777059&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 18:37:10

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 57 User image Treeherder Robot 2011-10-10 19:33:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6777171&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 18:37:08

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 58 User image Treeherder Robot 2011-10-10 19:53:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6777815&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-10 19:17:46

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 59 User image Treeherder Robot 2011-10-10 20:37:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6778416&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-10 19:55:43

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 60 User image Treeherder Robot 2011-10-10 20:38:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6778611&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-10 20:01:56

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 61 User image Treeherder Robot 2011-10-10 20:54:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6778806&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-10 19:17:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_update.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_update.js | Found a  after previous test timed out
Comment 62 User image Treeherder Robot 2011-10-11 16:50:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6795249&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-11 14:56:14

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 63 User image Treeherder Robot 2011-10-11 16:51:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6795534&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-11 14:56:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 64 User image Treeherder Robot 2011-10-11 17:01:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6795746&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-11 15:08:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 65 User image Treeherder Robot 2011-10-11 21:29:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6800556&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-11 20:18:06

3329 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/general/test_497898.html | [SimpleTest/SimpleTest.js, window.onerror] - An error occurred: Script error. at :0
5917 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 66 User image Treeherder Robot 2011-10-11 21:33:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6800801&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-11 20:24:53

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 67 User image Treeherder Robot 2011-10-11 21:47:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6800312&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-11 20:10:40

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 68 User image Treeherder Robot 2011-10-11 21:47:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6800636&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-11 20:10:30

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 69 User image Treeherder Robot 2011-10-12 04:50:33 PDT
Unfocused
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807192&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 03:59:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 70 User image Treeherder Robot 2011-10-12 05:56:18 PDT
hsivonen%iki.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807344&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 04:11:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 71 User image Treeherder Robot 2011-10-12 05:56:57 PDT
hsivonen%iki.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807784&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 04:35:02

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 72 User image Treeherder Robot 2011-10-12 05:58:35 PDT
hsivonen%iki.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807053&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-12 03:59:50

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 73 User image Treeherder Robot 2011-10-12 05:59:41 PDT
hsivonen%iki.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807709&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-12 04:39:17

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 74 User image Treeherder Robot 2011-10-12 10:07:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6811859&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-12 09:04:51

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Correct message in error console - got [ Places Maintenance ]
Comment 75 User image Treeherder Robot 2011-10-12 10:12:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6812202&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-12 09:02:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 76 User image Treeherder Robot 2011-10-12 10:16:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807572&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-12 04:31:59

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 77 User image Treeherder Robot 2011-10-12 10:17:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6807667&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-12 04:31:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 78 User image Treeherder Robot 2011-10-12 10:40:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6810841&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-12 07:41:00

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 79 User image Treeherder Robot 2011-10-12 10:41:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6810947&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 07:40:57

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 80 User image Treeherder Robot 2011-10-12 11:21:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6810169&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-12 07:14:51

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 81 User image Treeherder Robot 2011-10-12 11:22:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6810508&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 07:14:51

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 82 User image Phil Ringnalda (:philor) 2011-10-12 20:45:52 PDT
So, Luke pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/4c0e6b3f7791, removing a totally empty header from jseng, and browser_webconsole_bug_595934_message_categories.js went permaorange on 10.6 opt.

The only thing I've seen doing that same sort of senseless and impossible in a reasonable world thing is when we've got code accessing memory that it totally shouldn't be touching, and a nothing change to jseng suddenly affects a test that couldn't possibly be affected. A previous case with a11y only happened with some PGO'd builds, when PGO happened to move things around to make the badness happen; apparently the Aurora Linux thing is the opposite, and PGO will cover our tracks but non-PGO leaves us busted.

Given that the Aurora case is both devtools and workers, does that mean that both of them are being bad, or is the devtools test being bitten by bad workers? Will running these tests under Valgrind lead to it shrieking in horror at the things we're doing?
Comment 83 User image Treeherder Robot 2011-10-12 22:10:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6821620&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-12 17:40:04

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 84 User image Treeherder Robot 2011-10-12 22:11:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6821669&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-12 17:38:58

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 85 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-12 22:22:32 PDT
The devtools hang is the only devtools test that uses a worker, so I would not be too suspicious of the devtools code.

The way these two failing tests work is that they register an error console listener and then use a worker to generate an error. The tests wait until they see the error appear in the console before continuing. Sometimes they randomly time out without anything else seeming to fail (at least, I don't see anything else in the logs).

I'm not ready to blame the worker code yet, though. I've looked over the worker error generation code a bunch now and can't see anything amiss. On a whim I decided to take a look at the code in the error console listener implementation and I ran across this (nsConsoleService.cpp#161):

  * Iterate through any registered listeners and tell them about
  * the message.  We use the mListening flag to guard against
  * recursive message logs.  This could sometimes result in
  * listeners being skipped because of activity on other threads,
  * when we only care about the recursive case.

That seems pretty bad.. If we're unlucky enough to have an error reported on another thread immediately before the worker code generates the error that the tests are waiting on we'll miss the report and the test will never finish.

I'll see what we can do to fix this behavior (or the tests as a bandaid - maybe by looking at the console message list every second or so?). Basically this problem boils down to a bad test mechanism, not a bug in workers.

However, I don't think we can simply wave this off due to the crashes, and I'm pretty sure that the crashes are entirely due to the fact that the console manager is using proxies of JS objects to make its listeners get called back on the correct thread. Proxies are no longer safe to be used by JS on other threads, so this is a big red flag.

In short, I blame the console service for all my woes ;)

CC'ing luke and bsmedberg since they have a plan to nuke proxies and may have a patch to fix that part.

Anyone think my hunches are bonkers?
Comment 86 User image Phil Ringnalda (:philor) 2011-10-12 23:46:08 PDT
Inconveniently, backing out luke did not fix inbound's permaorange. His 10.6 opt build was a clobber, the two before that were not (and the four before that were burning), so either of them or Waldo's backout not really backing everything out are possibilities if they didn't manage to take effect until after a clobber, as is some releng change. Not sure what, if any, part of that fits with blaming the console service.
Comment 87 User image Marco Bonardo [::mak] 2011-10-13 07:03:31 PDT
the inbound permaorange has been fixed by backing out Bug 689101, Bug 692987 and Bug 692722
Comment 88 User image Treeherder Robot 2011-10-13 07:46:10 PDT
mfinkle%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6829286&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 06:49:52

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 89 User image Treeherder Robot 2011-10-13 07:49:17 PDT
mfinkle%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6829475&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-13 06:49:51

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 90 User image Phil Ringnalda (:philor) 2011-10-13 08:12:30 PDT
(In reply to ben turner [:bent] from comment #85)> 
> Anyone think my hunches are bonkers?

Well, I don't get it, but that's not an unusual thing for me.

How does the theory that maybe sometimes an error gets reported on another thread right before your error work with the evidence, that in Linux32 PGO builds on mozilla-aurora, it never ever happens, but in Linux32 non-PGO builds on aurora it happens every single time for both tests, and in Linux32 non-PGO builds on mozilla-beta it happens every single time only for the devtools test, not for the workers test? And what part of sfink's pushes caused an error to be reported on another thread right before yours, every single time, only on 10.6 opt?
Comment 91 User image Treeherder Robot 2011-10-13 12:55:36 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6833944&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-13 11:31:44

5897 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 92 User image Treeherder Robot 2011-10-13 12:56:26 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6834035&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-13 11:27:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 93 User image Treeherder Robot 2011-10-13 13:00:00 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6834081&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 11:39:12

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 94 User image Treeherder Robot 2011-10-13 13:00:38 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6834237&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-13 11:39:11

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 95 User image Treeherder Robot 2011-10-13 16:10:05 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=6838084&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 15:42:47

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 96 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-13 16:17:44 PDT
(In reply to Phil Ringnalda (:philor) from comment #90)
Dunno, race conditions like this are always pretty strange, subject to weird tiny variations in timing and whatever OS scheduler you're dealing with.

I'm reasonably certain this will go away once bug 675221 removes the proxies and makes the listener logic more sane.

In the meantime I believe that we're just going to disable this test.
Comment 97 User image Treeherder Robot 2011-10-13 16:43:41 PDT
mrbkap
https://tbpl.mozilla.org/php/getParsedLog.php?id=6838478&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-13 15:42:47

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 98 User image Treeherder Robot 2011-10-13 16:46:08 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=6838696&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitests-3/5 on 2011-10-13 16:03:22

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 99 User image Treeherder Robot 2011-10-13 16:54:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6838899&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-13 16:11:19

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 100 User image Treeherder Robot 2011-10-13 17:08:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6839141&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 16:35:24

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 101 User image Treeherder Robot 2011-10-13 17:09:59 PDT
mrbkap
https://tbpl.mozilla.org/php/getParsedLog.php?id=6839141&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 16:35:24

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 102 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-13 17:13:10 PDT
Created attachment 566979 [details] [diff] [review]
Patch to disable console listener tests

This is rs=sicking.
Comment 103 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-13 17:15:34 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/5b68174fe6f6
Comment 104 User image Treeherder Robot 2011-10-13 17:24:06 PDT
mrbkap
https://tbpl.mozilla.org/php/getParsedLog.php?id=6839497&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-13 16:35:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 105 User image Treeherder Robot 2011-10-13 21:53:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6844728&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 21:18:29

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 106 User image Treeherder Robot 2011-10-13 22:14:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6845046&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-13 21:18:09

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 107 User image Treeherder Robot 2011-10-13 23:58:19 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6845922&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-13 22:51:55

5919 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 108 User image Treeherder Robot 2011-10-14 00:46:13 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6846805&tree=Mozilla-Beta
Rev3 Fedora 12 mozilla-beta opt test mochitest-other on 2011-10-13 23:33:41

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 109 User image Treeherder Robot 2011-10-14 01:56:46 PDT
jwalden
https://tbpl.mozilla.org/php/getParsedLog.php?id=6842749&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2011-10-13 19:47:47

5898 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 110 User image Ed Morley [:emorley] 2011-10-14 03:49:35 PDT
https://hg.mozilla.org/mozilla-central/rev/5b68174fe6f6
Comment 111 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-14 08:40:36 PDT
Comment on attachment 566979 [details] [diff] [review]
Patch to disable console listener tests

This just disables small parts of two tests that are problematic. The real fix will land on trunk soon-ish, but the patch isn't really suitable for branches. Disabling these test pieces in the interim seems the smartest path forward.
Comment 112 User image Treeherder Robot 2011-10-14 10:31:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6856358&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-14 09:58:31

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 113 User image Treeherder Robot 2011-10-14 16:01:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6856625&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-14 09:58:10

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 114 User image Treeherder Robot 2011-10-15 20:13:06 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6867866&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-15 01:49:51

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 115 User image Treeherder Robot 2011-10-15 20:13:36 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6867965&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-15 01:49:51

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 116 User image Treeherder Robot 2011-10-17 19:55:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6890872&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-17 08:01:47

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 117 User image Treeherder Robot 2011-10-17 19:56:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6891045&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-17 08:01:47

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 118 User image Treeherder Robot 2011-10-17 20:03:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6892330&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-17 09:36:21

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 119 User image Treeherder Robot 2011-10-17 20:04:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6892476&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-17 09:36:20

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 120 User image Treeherder Robot 2011-10-17 20:08:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6891221&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-17 08:21:46

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 121 User image Treeherder Robot 2011-10-17 20:09:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6891251&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-17 08:13:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 122 User image Treeherder Robot 2011-10-17 20:13:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6889517&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitests-3/5 on 2011-10-17 06:42:50

5939 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_errorPropagation.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 123 User image Treeherder Robot 2011-10-17 20:13:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6889627&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora opt test mochitest-other on 2011-10-17 06:42:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_webconsole_bug_595934_message_categories.js | Test timed out
Comment 124 User image Rob Campbell [:rc] (:robcee) 2011-10-18 06:54:52 PDT
can we turn this off on aurora or is this a real bug?
Comment 125 User image Rob Campbell [:rc] (:robcee) 2011-10-18 06:56:20 PDT
Ok, as per c#111, we can create a patch to turn off the test on aurora. We'll do the work in this bug until it lands.
Comment 126 User image Rob Campbell [:rc] (:robcee) 2011-10-18 07:06:50 PDT
and, since I'm talking to myself in this bug now, can we get approval to land BenT's patch? :)
Comment 127 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-18 08:13:50 PDT
I think we leave this FIXED since it has landed on trunk then wait for them to approve the patch for aurora.
Comment 128 User image Rob Campbell [:rc] (:robcee) 2011-10-18 09:28:33 PDT
Maybe so, I just wanted the aurora-approver-gods to see that there was still something to be done here. Hopefully my incessant prattling will convince them of that! :)
Comment 129 User image christian 2011-10-18 10:19:37 PDT
Comment on attachment 566979 [details] [diff] [review]
Patch to disable console listener tests

Make it so!
Comment 131 User image Zack Weinberg (:zwol) 2012-11-16 12:56:47 PST
Heads up: having revised the infrastructure for console-monitoring tests, I turned these tests back on in bug 663291 (specifically, https://hg.mozilla.org/integration/mozilla-inbound/rev/b36eaac9ecf8 ) I may not have gotten all the race conditions.
Comment 132 User image Zack Weinberg (:zwol) 2012-11-16 19:25:55 PST
... and they were backed out again because yep, still race conditions.  Filed new bug 812714 to get them fixed properly.

Note You need to log in before you can comment on or make changes to this bug.